For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • GETRetrieve Workspace Secret
      • PATCHUpdate Workspace Secret
LogoLogo
BlogLog InRequest Demo
Client SDKSecrets

Retrieve Workspace Secret

Beta
GET
https://api.vellum.ai/v1/workspace-secrets/:id
GET
/v1/workspace-secrets/:id
1import requests
2
3url = "https://api.vellum.ai/v1/workspace-secrets/id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "id": "string",
3 "modified": "2024-01-15T09:30:00Z",
4 "name": "string",
5 "label": "string",
6 "secret_type": "USER_DEFINED"
7}
Used to retrieve a Workspace Secret given its ID or name.
Was this page helpful?
Previous

Update Workspace Secret

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Workspace Secret's ID or its unique name

Headers

X-API-VersionstringOptional

Response

idstringformat: "uuid"
modifiedstringformat: "date-time"
namestring<=250 characters
labelstring
secret_typeenum
  • USER_DEFINED - User Defined
  • HMAC - Hmac
  • INTERNAL_API_KEY - Internal Api Key
  • EXTERNALLY_PROVISIONED - Externally Provisioned
Allowed values: